ForceFields::UFF::AngleConstraintContrib Class Reference

An angle range constraint modelled after a AngleBendContrib. More...

`#include <AngleConstraint.h>`

Inheritance diagram for ForceFields::UFF::AngleConstraintContrib:

## Public Member Functions

| AngleConstraintContrib ()
| AngleConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, double minAngleDeg, double maxAngleDeg, double forceConst)
| Constructor. More...
| AngleConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, bool relative, double minAngleDeg, double maxAngleDeg, double forceConst)
| ~AngleConstraintContrib ()
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position More...
virtual AngleConstraintContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

An angle range constraint modelled after a AngleBendContrib.

Definition at line 21 of file UFF/AngleConstraint.h.

## Constructor & Destructor Documentation

## AngleConstraintContrib() [1/3]

ForceFields::UFF::AngleConstraintContrib::AngleConstraintContrib | ( |  | ) |

inline

Definition at line 23 of file UFF/AngleConstraint.h.

Referenced by copy().

## AngleConstraintContrib() [2/3]

ForceFields::UFF::AngleConstraintContrib::AngleConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | double | minAngleDeg,
|  | double | maxAngleDeg,
|  | double | forceConst
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  minAngle | minimum angle
  maxAngle | maximum angle
  forceConst | force Constant

## AngleConstraintContrib() [3/3]

ForceFields::UFF::AngleConstraintContrib::AngleConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | bool | relative,
|  | double | minAngleDeg,
|  | double | maxAngleDeg,
|  | double | forceConst
| ) |  |

## ~AngleConstraintContrib()

ForceFields::UFF::AngleConstraintContrib::~AngleConstraintContrib | ( |  | ) |

inline

Definition at line 44 of file UFF/AngleConstraint.h.

References getEnergy(), and getGrad().

## Member Function Documentation

## copy()

virtual AngleConstraintContrib* ForceFields::UFF::AngleConstraintContrib::copy | ( |  | ) | const

inline virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 48 of file UFF/AngleConstraint.h.

References AngleConstraintContrib().

## getEnergy()

double ForceFields::UFF::AngleConstraintContrib::getEnergy | ( | double * | pos | ) | const

virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

Referenced by ~AngleConstraintContrib().

## getGrad()

void ForceFields::UFF::AngleConstraintContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

Referenced by ~AngleConstraintContrib().

The documentation for this class was generated from the following file:

- UFF/AngleConstraint.h